export declare enum EmsiStatus {
    EMPTY = 0,
    READY = 1,
    PARTIAL = 2,
    ERROR = 3
}
export declare type Datime = string;
export declare type FreeText = string;
export declare type URI = string;
export declare type Name = string;
export declare type ContextId = string;
export declare enum Mode {
    ACTUAL = "ACTUAL",
    EXERCISE = "EXERCS",
    SYSTEM = "SYSTEM",
    TEST = "TEST"
}
export declare enum MsgType {
    ACK = "ACK",
    ALERT = "ALERT",
    CANCEL = "CANCEL",
    ERROR = "ERROR",
    UPDATE = "UPDATE"
}
export declare type LinkId = ContextId;
export declare enum LinkRole {
    ADD_TO = "ADDSTO",
    SUPERSEDE = "SPRSDS"
}
export declare enum Level {
    STRATEGIC = "STRTGC",
    OPERATIONAL = "OPR",
    TACTICAL = "TACTCL"
}
export declare enum SeClass {
    CONFIDENTIAL = "CONFID",
    RESTRICTED = "RESTRC",
    SECRET = "SECRET",
    TOP_SECRET = "TOPSRT",
    UNCLASSIFIED = "UNCLAS",
    UNMARKED = "UNMARK"
}
export declare enum Urgency {
    URGENT = "URGENT",
    NOT_URGENT = "NOT_URGENT"
}
export declare type OrgId = string;
export declare type UserId = string;
export declare enum InfoType {
    USER_MANUAL = "MANUAL",
    MAP = "MAP",
    OTHER = "OTHER",
    PHOTO = "PHOTO",
    WEB_SITE = "WEBSIT"
}
export declare type EventId = string;
export declare type Category = string;
export declare type Actor = string;
export declare type LocType = string;
export declare type Env = string;
export declare enum Source {
    COMPUTER_FORECAST = "COMFOR",
    HUMAN_DEDUCTION = "HUMDED",
    HUMAN_OBSERVATION = "HUMOBS",
    SENSOR_OBSERVATION = "SENSOR"
}
export declare enum Scale {
    LEVEL_1 = "1",
    LEVEL_2 = "2",
    LEVEL_3 = "3",
    LEVEL_4 = "4",
    LEVEL_5 = "5"
}
export declare type Certainly = number;
export declare enum Status {
    EVENT_COMPLETE = "COM",
    EVENT_IN_PROGRESS = "IPR",
    EVENT_NOT_STARTED = "NST",
    EVENT_UNDER_CONTROL = "STOP",
    EVENT_ABORTED = "ABO",
    EVENT_CANCELLED = "CANCLD"
}
export declare enum RiskAssessmnt {
    INCREASING = "INCREA",
    DECREASING = "DECREA",
    STABLE = "STABLE"
}
export declare enum Cause {
    ACCIDENTAL = "ACC",
    DELIBERATE = "DEL",
    NATURAL = "NAT"
}
export declare type EGeoType = string;
export declare type Weather = string;
export declare type EGeoId = string;
export declare enum EGeoStatus {
    PLANNED = "PLANNED",
    INPLACE = "IN PLACE",
    GONE = "GONE"
}
export declare type Count = number;
export declare enum CasualtiesContext {
    REQUIRING_ACTION = "REQ_ACTION",
    ALREADY_TREATED = "ALR_TREATED",
    PREDICTED_URGENT = "PRED_URGENT",
    PREDICTED_MEDIUM = "PRED_MEDIUM",
    INITIAL_STATEMENT = "INITIAL_STAT",
    PRELIMINARY_ASSESSMENT = "PRELIM_STAT"
}
export declare enum CasualtiesStatus {
    CITIZEN = "CITIZEN",
    EMERGENCY_TEAM = "ET",
    AUTHORITIES = "AUTHO",
    VERY_IMPORTANT_PERSON = "VIP",
    MIXED = "MIXED",
    UNKNOWN = "UNK"
}
export declare enum Triage {
    GREY = "-1",
    BLUE = "0",
    GREEN = "1",
    YELLOW = "2",
    ORANGE = "3",
    RED = "4",
    BLACK = "5"
}
export declare enum Contamination {
    SUPPOSED_CONTAMINED = "SUP_CONT",
    DECONTAMINATION_IN_PROGRESS = "DECON_PROG",
    DECONTAMINATION_COMPLETED = "DECON_END",
    WITHOUT_CONTAMINATION = "NO_CONT",
    CONTAMINATION_NOT_ASSESSED = "NO_EVAL"
}
export declare enum Location {
    CONFINED = "CONFINED",
    EVACUATED = "EVACUATED",
    DISPLACED = "DISPLACED",
    TRAPPED = "TRAPPED"
}
export declare enum Health {
    INJURED = "INJUR",
    DEAD = "DEAD",
    MISSING = "MISS",
    INVOLVED = "INVOL",
    IMPACTED = "IMPCT"
}
export declare type LocId = string;
export declare enum PositionType {
    POINT = "POINT",
    CIRCLE = "CIRCLE",
    LINE = "LINE",
    SURFACE = "SURFACE",
    GRID = "GRID",
    POLYGON = "POLYGON",
    ELLIPSE = "ELLIPSE"
}
export declare enum HeightRole {
    MIN = "MIN",
    MAX = "MAX",
    AVG = "AVG"
}
export declare type CoordSys = string;
export declare type Latitude = number;
export declare type Longitude = number;
export declare type Height = number;
export declare type Address = string;
export declare type MissionType = string;
export declare type MissionId = string;
export declare type MainMissionId = string;
export declare enum MissionStatus {
    ABORTED = "ABO",
    CANCELLED = "CANCLD",
    COMPLETE = "COM",
    IN_PROGRESS = "IPR",
    NOT_STARTED = "NST",
    IN_PAUSE = "PAU"
}
export declare enum MissionPriority {
    LOW_PRIORITY = "0",
    P1 = "1",
    P2 = "2",
    P3 = "3",
    P4 = "4",
    HIGHEST_PRIORITY = "5"
}
export declare type ResourceId = string;
export declare type Class = string;
export declare type Capability = string;
export declare type Characteristics = string;
export declare type RGeoType = string;
export declare type RGeoId = string;
export declare type Quantity = number;
export declare type UnitOfMeasure = string;
export declare enum ResourceStatus {
    AVAILABLE = "AVAILB",
    UNAVAILABLE = "UNAV",
    IN_MAINTENANCE = "MAINTC",
    RESERVED = "RESRVD",
    VIRTUAL = "VIRTUAL",
    IN_USE = "IN_USE",
    IN_USE_MOBILE = "IN_USE/MOBILE",
    IN_USE_ON_SCENE = "IN_USE/ON_SCENE"
}
export declare type Nationality = string;
export declare enum ContactType {
    POSTAL_ADDRESS = "PSTADD",
    EMAIL = "EMLADD",
    IP_ADDRESS = "IPADD",
    FTP = "FTPADD",
    WEB = "WEBADD",
    PHONE_NUMBER = "PHNADD",
    FAX = "FAXADD",
    RADIO_NUMBER = "PMRADD"
}
export declare type Detail = string;
