import { ContextId, Datime, FreeText, Level, Mode, MsgType, SeClass, Urgency } from '../../common/types';
import { ExternalInfo } from './external-info';
import { Link } from './link';
import { Origin } from './origin';
import { Default } from '../../common/default';
export declare class Context extends Default {
    id: ContextId;
    mode: Mode;
    msgType: MsgType;
    creation: Datime;
    link?: Array<Link>;
    level?: Level;
    seClass?: SeClass;
    freeText?: FreeText;
    urgency?: Urgency;
    origin?: Origin;
    externalInfo?: Array<ExternalInfo>;
    constructor(mode: Mode, msgType: MsgType, id?: ContextId, creation?: Date);
    addLinks(links: Link[]): this;
    setLevel(level?: Level): this;
    setSecurityClassification(seClass?: SeClass): this;
    setFreeText(freeText?: FreeText): this;
    setUrgency(urgency?: Urgency): this;
    setOrigin(origin: Origin): this;
    addExternalInfos(externals: ExternalInfo[]): this;
    static default(): Context;
    assign(source: Record<string, any>): this;
}
