"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExternalInfo = void 0;
const config_1 = require("../../common/config");
const default_1 = require("../../common/default");
const error_1 = require("../../error");
class ExternalInfo extends default_1.Default {
    constructor(uri, infoType, freeText) {
        error_1.ContextError.checkLength(uri, config_1.MAX_URI_LENGTH);
        error_1.ContextError.checkLength(freeText, config_1.MAX_FREETEXT_LENGTH);
        super();
        this.uri = uri;
        this.infoType = infoType;
        this.freeText = freeText;
    }
    assign(source) {
        let key;
        const keys = Object.keys(source);
        if ((key = keys.find(f => f === 'uri')))
            this.uri = source[key];
        if ((key = keys.find(f => f === 'infoType')))
            this.infoType = source[key];
        if ((key = keys.find(f => f === 'freeText')))
            this.freeText = source[key];
        return this;
    }
    static default() {
        return new ExternalInfo('http://');
    }
}
exports.ExternalInfo = ExternalInfo;
