"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Link = void 0;
const config_1 = require("../../common/config");
const default_1 = require("../../common/default");
const error_1 = require("../../error");
class Link extends default_1.Default {
    constructor(linkId, linkRole) {
        error_1.ContextError.checkLength(linkId, config_1.MAX_ID_LENGTH);
        super();
        this.linkId = linkId;
        this.linkRole = linkRole;
    }
    assign(source) {
        let key;
        const keys = Object.keys(source);
        if ((key = keys.find(f => f === 'linkId')))
            this.linkId = source[key];
        if ((key = keys.find(f => f === 'linkRole')))
            this.linkRole = source[key];
        return this;
    }
    static default() {
        return new Link(config_1.NULL_UUID, undefined);
    }
}
exports.Link = Link;
