"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Origin = void 0;
const config_1 = require("../../common/config");
const default_1 = require("../../common/default");
const error_1 = require("../../error");
class Origin extends default_1.Default {
    constructor(orgId, userId, name) {
        error_1.ContextError.checkLength(orgId, config_1.MAX_ID_LENGTH);
        error_1.ContextError.checkLength(userId, config_1.MAX_USER_ID_LENGTH);
        error_1.ContextError.checkLength(name, config_1.MAX_NAME_X2_LENGTH);
        super();
        this.orgId = orgId;
        this.userId = userId;
        this.name = name;
    }
    assign(source) {
        let key;
        const keys = Object.keys(source);
        if ((key = keys.find(f => f === 'orgId')))
            this.orgId = source[key];
        if ((key = keys.find(f => f === 'userId')))
            this.userId = source[key];
        if ((key = keys.find(f => f === 'name')))
            this.name = source[key];
        return this;
    }
    static default() {
        return new Origin(config_1.NULL_UUID);
    }
}
exports.Origin = Origin;
