"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EType = void 0;
const config_1 = require("../../common/config");
const default_1 = require("../../common/default");
const error_1 = require("../../error");
class EType extends default_1.Default {
    constructor(categories, actors, locTypes, env) {
        categories.forEach((add) => error_1.EventError.checkLength(add, config_1.MAX_ETYPE_LENGTH));
        actors.forEach((add) => error_1.EventError.checkLength(add, config_1.MAX_ETYPE_LENGTH));
        locTypes.forEach((add) => error_1.EventError.checkLength(add, config_1.MAX_ETYPE_LENGTH));
        env === null || env === void 0 ? void 0 : env.forEach((add) => error_1.EventError.checkLength(add, config_1.MAX_ETYPE_LENGTH));
        super();
        this.category = categories;
        this.actor = actors;
        this.locType = locTypes;
        this.env = env;
    }
    static default() {
        return new EType([], [], []);
    }
    assign(source) {
        let key;
        const keys = Object.keys(source);
        if ((key = keys.find(f => f === 'category'))) {
            this.category = new Array();
            if (source[key] instanceof Array)
                source[key].forEach((add) => { var _a; return (_a = this.category) === null || _a === void 0 ? void 0 : _a.push(add); });
            else
                this.category.push(source[key]);
        }
        if ((key = keys.find(f => f === 'actor'))) {
            this.actor = new Array();
            if (source[key] instanceof Array)
                source[key].forEach((add) => { var _a; return (_a = this.actor) === null || _a === void 0 ? void 0 : _a.push(add); });
            else
                this.actor.push(source[key]);
        }
        if ((key = keys.find(f => f === 'locType'))) {
            this.locType = new Array();
            if (source[key] instanceof Array)
                source[key].forEach((add) => { var _a; return (_a = this.locType) === null || _a === void 0 ? void 0 : _a.push(add); });
            else
                this.locType.push(source[key]);
        }
        if ((key = keys.find(f => f === 'env'))) {
            this.env = new Array();
            if (source[key] instanceof Array)
                source[key].forEach((add) => { var _a; return (_a = this.env) === null || _a === void 0 ? void 0 : _a.push(add); });
            else
                this.env.push(source[key]);
        }
        return this;
    }
}
exports.EType = EType;
