import { Status, Certainly, Datime, EventId, Name, Scale, Source, RiskAssessmnt, Cause, FreeText } from '../../common/types';
import { EGeo } from './event-geo';
import { EType } from './event-type';
import { Reference } from './reference';
import { Casualties } from './casualties';
import { Default } from '../../common/default';
export declare class Event extends Default {
    id?: EventId;
    name?: Name;
    mainEventId?: EventId;
    eType?: EType;
    source?: Source;
    scale?: Scale;
    certainly?: Certainly;
    declDatime?: Datime;
    occDatime?: Datime;
    obsDatime?: Datime;
    status?: Status;
    riskAssessmnt?: RiskAssessmnt;
    reference?: Array<Reference>;
    casualties?: Array<Casualties>;
    eGeo?: Array<EGeo>;
    cause?: Cause;
    freeText?: FreeText;
    constructor(id?: EventId, name?: Name, mainEventId?: EventId);
    setEventType(eType: EType): this;
    setSource(source: Source): this;
    setScale(scale: Scale): this;
    setCertainly(certainly: Certainly): this;
    setDeclDatime(decl: Datime): this;
    setOccDatime(occ: Datime): this;
    setObsDatime(obs: Datime): this;
    setStatus(status: Status): this;
    setRiskAssessmnt(risk: RiskAssessmnt): this;
    addReferences(references: Reference[]): this;
    addCasualties(casualties: Casualties[]): this;
    addEventGeos(eGeo: EGeo[]): this;
    setCause(cause: Cause): this;
    setFreeText(freeText?: FreeText): this;
    static default(): Event;
    assign(source: Record<string, any>): this;
}
