import { Default } from "../../common/default";
import { Datime, FreeText, MainMissionId, MissionId, MissionPriority, MissionStatus, MissionType, Name, OrgId, ResourceId } from "../../common/types";
import { Position } from "../location";
export declare class Mission extends Default {
    type: MissionType;
    freeText?: FreeText;
    id: MissionId;
    mainMissionId?: MainMissionId;
    orgId?: OrgId;
    name?: Name;
    status?: MissionStatus | string;
    startTime?: Datime;
    endTime?: Datime;
    resourceId?: Array<ResourceId>;
    parentMissionId?: Array<MissionId>;
    childMissionId?: Array<MissionId>;
    position?: Position;
    priority?: MissionPriority;
    constructor(type: MissionType, id?: MissionId);
    setFreeText(freeText?: FreeText): this;
    setMainMissionId(mainId: MainMissionId): this;
    setOrgId(orgId: OrgId): this;
    setName(name: Name): this;
    setStatus(status: MissionStatus, completeness?: number): this;
    setStartTime(start: Date): this;
    setEndTime(end: Date): this;
    addResourceIds(resourceIds: ResourceId[]): this;
    addParentMissionIds(parentIds: MissionId[]): this;
    addChildMissionIds(childIds: MissionId[]): this;
    setPosition(position: Position): this;
    setPriority(priority: MissionPriority): this;
    static default(): Mission;
    assign(source: Record<string, any>): this;
}
