"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Contact = void 0;
const config_1 = require("../../common/config");
const default_1 = require("../../common/default");
const types_1 = require("../../common/types");
const resource_error_1 = require("../../error/resource.error");
class Contact extends default_1.Default {
    constructor(contact, detail) {
        resource_error_1.ResourceError.checkLength(detail, config_1.MAX_DETAIL_LENGTH);
        super();
        this.contact = contact;
        this.detail = detail;
    }
    static default() {
        return new Contact(types_1.ContactType.IP_ADDRESS, '0.0.0.0');
    }
    assign(source) {
        let key;
        const keys = Object.keys(source);
        if ((key = keys.find(f => f === 'contact')))
            this.contact = source[key];
        if ((key = keys.find(f => f === 'detail')))
            this.detail = source[key];
        return this;
    }
}
exports.Contact = Contact;
