import { Default } from "../../common/default";
import { FreeText, Name, Nationality, OrgId, Quantity, ResourceId, ResourceStatus, UnitOfMeasure } from "../../common/types";
import { Contact } from "./contact";
import { RGeo } from "./resource-geo";
import { RType } from "./resource-type";
export declare class Resource extends Default {
    rType: Array<RType>;
    id?: ResourceId;
    orgId?: OrgId;
    name?: Name;
    freeText?: FreeText;
    rGeo?: Array<RGeo>;
    quantity?: Quantity;
    um?: UnitOfMeasure;
    status?: ResourceStatus;
    nationality?: Nationality;
    contact?: Array<Contact>;
    constructor(rTypes: RType[], id?: ResourceId);
    setOrgId(orgId: OrgId): this;
    setName(name: Name): this;
    setFreeText(freeText?: FreeText): this;
    addResourceGeos(rgeos: RGeo[]): this;
    setQuantity(quantity: Quantity): this;
    setUnitOfMeasure(unit: UnitOfMeasure): this;
    setStatus(status: ResourceStatus): this;
    setNationality(nationality: Nationality): this;
    addContacts(contacts: Contact[]): this;
    static default(): Resource;
    assign(source: Record<string, any>): this;
}
